pro choose_pairs,input1,input2,dt,ii1,ii2

;+
; NAME
;	choose_pairs
; PURPOSE
;	To identify pairs of images less than dt apart in time.
;	Usually used to find (Al.1, AlMg) pairs for temperature analysis.
; CALLING EXAMPLES
;	choose_pairs,input1,input2,dt,ii1,ii2
;	cchoose_pairs,index(al(alok)),index(dg(dgok)),600,al0,dg0
; INPUT
;	input1, index structure of first kind of image
;	input2, index structure of second kind of image
;	dt, permissible time difference (sec)
; OUTPUT
;	ii1, indices of input1 images meeting dt criteria
;	ii2, corresponding indices for input2
;	NOTE:  If no pairs of images match criteria ii1=ii2=-1.
; HISTORY
;	15-Jan-2002 (LWA)  Added header to old program.
;-

xx=tim2dset(input1,input2,delta_sec=delta)
jj=where(delta le dt,njj)
if njj gt 0 then begin
   ii1=xx(jj)
   ii2=jj
endif else begin
   ii1=-1
   ii2=-1
endelse

end
